[Python-modules-commits] r30457 - in packages/mod-wsgi/trunk/debian (7 files)

fgeyer at users.alioth.debian.org fgeyer at users.alioth.debian.org
Mon Sep 1 21:14:03 UTC 2014


    Date: Monday, September 1, 2014 @ 21:14:02
  Author: fgeyer
Revision: 30457

Add autopkgtests.

Added:
  packages/mod-wsgi/trunk/debian/tests/
  packages/mod-wsgi/trunk/debian/tests/control
  packages/mod-wsgi/trunk/debian/tests/daemon-py2
  packages/mod-wsgi/trunk/debian/tests/daemon-py3
  packages/mod-wsgi/trunk/debian/tests/embedded-py2
  packages/mod-wsgi/trunk/debian/tests/embedded-py3
Modified:
  packages/mod-wsgi/trunk/debian/changelog

Modified: packages/mod-wsgi/trunk/debian/changelog
===================================================================
--- packages/mod-wsgi/trunk/debian/changelog	2014-09-01 21:12:45 UTC (rev 30456)
+++ packages/mod-wsgi/trunk/debian/changelog	2014-09-01 21:14:02 UTC (rev 30457)
@@ -1,6 +1,7 @@
 mod-wsgi (4.2.7-2) UNRELEASED; urgency=medium
 
   * Shorten the rules file using the dh(1) helper.
+  * Add autopkgtests.
 
  -- Felix Geyer <fgeyer at debian.org>  Mon, 01 Sep 2014 22:26:37 +0200
 

Added: packages/mod-wsgi/trunk/debian/tests/control
===================================================================
--- packages/mod-wsgi/trunk/debian/tests/control	                        (rev 0)
+++ packages/mod-wsgi/trunk/debian/tests/control	2014-09-01 21:14:02 UTC (rev 30457)
@@ -0,0 +1,7 @@
+Tests: embedded-py2 daemon-py2
+Restrictions: needs-root
+Depends: apache2, libapache2-mod-wsgi, wget
+
+Tests: embedded-py3 daemon-py3
+Restrictions: needs-root
+Depends: apache2, libapache2-mod-wsgi-py3, wget

Added: packages/mod-wsgi/trunk/debian/tests/daemon-py2
===================================================================
--- packages/mod-wsgi/trunk/debian/tests/daemon-py2	                        (rev 0)
+++ packages/mod-wsgi/trunk/debian/tests/daemon-py2	2014-09-01 21:14:02 UTC (rev 30457)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/apache2/conf-enabled/wsgi-daemon-py2.conf <<EOT
+WSGIScriptAlias /wsgi-daemon-py2/ /var/www/hello-py2/hello.wsgi
+WSGIDaemonProcess embeddedpy2 processes=2 threads=15
+<Directory /var/www/hellow-py2>
+  WSGIProcessGroup embeddedpy2
+</Directory>
+EOT
+
+mkdir -p /var/www/hello-py2
+
+cat > /var/www/hello-py2/hello.wsgi <<EOT
+def application(environ, start_response):
+    status = '200 OK'
+    output = b'Hello World'
+
+    response_headers = [('Content-type', 'text/plain'),
+                        ('Content-Length', str(len(output)))]
+    start_response(status, response_headers)
+
+    return [output]
+EOT
+
+chown -R www-data:www-data /var/www/hello-py2/hello.wsgi
+
+a2enmod wsgi
+service apache2 reload
+
+output=`wget -O- http://localhost/wsgi-daemon-py2/ 2>/dev/null`
+test "$output" = "Hello World"


Property changes on: packages/mod-wsgi/trunk/debian/tests/daemon-py2
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/mod-wsgi/trunk/debian/tests/daemon-py3
===================================================================
--- packages/mod-wsgi/trunk/debian/tests/daemon-py3	                        (rev 0)
+++ packages/mod-wsgi/trunk/debian/tests/daemon-py3	2014-09-01 21:14:02 UTC (rev 30457)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/apache2/conf-enabled/wsgi-daemon-py3.conf <<EOT
+WSGIScriptAlias /wsgi-daemon-py3/ /var/www/hello-py3/hello.wsgi
+WSGIDaemonProcess embeddedpy3 processes=2 threads=15
+<Directory /var/www/hellow-py3>
+  WSGIProcessGroup embeddedpy3
+</Directory>
+EOT
+
+mkdir -p /var/www/hello-py3
+
+cat > /var/www/hello-py3/hello.wsgi <<EOT
+def application(environ, start_response):
+    status = '200 OK'
+    output = b'Hello World'
+
+    response_headers = [('Content-type', 'text/plain'),
+                        ('Content-Length', str(len(output)))]
+    start_response(status, response_headers)
+
+    return [output]
+EOT
+
+chown -R www-data:www-data /var/www/hello-py3/hello.wsgi
+
+a2enmod wsgi
+service apache2 reload
+
+output=`wget -O- http://localhost/wsgi-daemon-py3/ 2>/dev/null`
+test "$output" = "Hello World"


Property changes on: packages/mod-wsgi/trunk/debian/tests/daemon-py3
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/mod-wsgi/trunk/debian/tests/embedded-py2
===================================================================
--- packages/mod-wsgi/trunk/debian/tests/embedded-py2	                        (rev 0)
+++ packages/mod-wsgi/trunk/debian/tests/embedded-py2	2014-09-01 21:14:02 UTC (rev 30457)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/apache2/conf-enabled/wsgi-embedded-py2.conf <<EOT
+WSGIScriptAlias /wsgi-embedded-py2/ /var/www/hello.wsgi
+EOT
+
+cat > /var/www/hello.wsgi <<EOT
+def application(environ, start_response):
+    status = '200 OK'
+    output = b'Hello World'
+
+    response_headers = [('Content-type', 'text/plain'),
+                        ('Content-Length', str(len(output)))]
+    start_response(status, response_headers)
+
+    return [output]
+EOT
+
+chown www-data:www-data /var/www/hello.wsgi
+
+a2enmod wsgi
+service apache2 reload
+
+output=`wget -O- http://localhost/wsgi-embedded-py2/ 2>/dev/null`
+test "$output" = "Hello World"


Property changes on: packages/mod-wsgi/trunk/debian/tests/embedded-py2
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/mod-wsgi/trunk/debian/tests/embedded-py3
===================================================================
--- packages/mod-wsgi/trunk/debian/tests/embedded-py3	                        (rev 0)
+++ packages/mod-wsgi/trunk/debian/tests/embedded-py3	2014-09-01 21:14:02 UTC (rev 30457)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/apache2/conf-enabled/wsgi-embedded-py3.conf <<EOT
+WSGIScriptAlias /wsgi-embedded-py3/ /var/www/hello.wsgi
+EOT
+
+cat > /var/www/hello.wsgi <<EOT
+def application(environ, start_response):
+    status = '200 OK'
+    output = b'Hello World'
+
+    response_headers = [('Content-type', 'text/plain'),
+                        ('Content-Length', str(len(output)))]
+    start_response(status, response_headers)
+
+    return [output]
+EOT
+
+chown www-data:www-data /var/www/hello.wsgi
+
+a2enmod wsgi
+service apache2 reload
+
+output=`wget -O- http://localhost/wsgi-embedded-py3/ 2>/dev/null`
+test "$output" = "Hello World"


Property changes on: packages/mod-wsgi/trunk/debian/tests/embedded-py3
___________________________________________________________________
Added: svn:executable
   + *




More information about the Python-modules-commits mailing list